Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356632 - Document qemu storage settings for GFS2
Summary: Document qemu storage settings for GFS2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Global_File_System_2
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Steven J. Levine
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 14:06 UTC by Robert Peterson
Modified: 2019-03-06 01:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 21:08:53 UTC


Attachments (Terms of Use)

Description Robert Peterson 2016-07-14 14:06:54 UTC
Document URL: 
The GFS2 manual

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

A customer recently came to us with a Severity 1 problem related
to using GFS2 shared file system in a virtual machine. The file
system could be seen and mounted from both nodes in the cluster.

If node A created a file, it was seen by node B. If node B created
a file, it was NOT seen by node A.

Upon further analysis, it was discovered that blocks written to the
journal by node B, were not even seen by node A. This indicated the
problem was not at the GFS2 layer, but a layer below.

The problem was that the customer had not properly configured their
vm storage settings on one node. The customer had:

      <driver name='qemu' type='raw'/>

When it should have been:

      <driver name='qemu' type='raw' cache='none' io='native'/>

When the configuration was changed to add the missing options,
and the virt restarted, GFS2 behaved normally.

Additional information: 
Fix with command: virsh edit <vmname>

(I'm a GFS2 file system guy, not a virt expert, so sorry if I'm
a little fuzzy on all this.)


Note You need to log in before you can comment on or make changes to this bug.